Next: strrchr, Previous: strnlen, Up: Strings

### 5.33 `strpbrk`—find characters in string

Synopsis

         #include <string.h>
         char *strpbrk(const char *s1, const char *s2);

Description
This function locates the first occurence in the string pointed to by s1 of any character in string pointed to by s2 (excluding the terminating null character).

Returns
`strpbrk` returns a pointer to the character found in s1, or a null pointer if no character from s2 occurs in s1.

Portability
`strpbrk` requires no supporting OS subroutines.